RagTime5ChartInternal::SerieTypeParser Struct Referencefinal

Internal: the helper to read a serieType's cell serieType. More...

Inheritance diagram for RagTime5ChartInternal::SerieTypeParser:

## Public Member Functions
| SerieTypeParser ()
| constructor
| ~SerieTypeParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a serieType's cell serieType.

## Constructor & Destructor Documentation

## ◆ SerieTypeParser()

RagTime5ChartInternal::SerieTypeParser::SerieTypeParser | ( |  | ) |
| inline

constructor

## ◆ ~SerieTypeParser()

RagTime5ChartInternal::SerieTypeParser::~SerieTypeParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ parseData()

bool RagTime5ChartInternal::SerieTypeParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inline final virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx